Login Hasło

#1 2009.01.12 17:23:25

Dalik
Użytkownik
Zarejestrowany: 2008.09.07
Posty: 178
System: Debian Squeeze/Sid x86_64
Fluxbox: 1.1.1

graveman - nie da się zainstalować

Witam.
Chcę sobie zainstalować gravemana jednak nie przepuszcza mnie to dalej w tym punkcie:

Kod:

trance:/home/dalik# dpkg -i graveman_0.3.10-1_amd64.deb 
Zaznaczenie poprzednio niezaznaczonego pakietu graveman.
(Odczytywanie bazy danych ... 60198 plików i katalogów obecnie zainstalowanych.)
Rozpakowanie graveman (z graveman_0.3.10-1_amd64.deb) ...
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie graveman:
 graveman zależy od libflac6; jednakże:
  Pakiet libflac6 nie jest zainstalowany.
dpkg: błąd przetwarzania graveman (--install):
 problemy z zależnościami - pozostawiony nieskonfigurowany
Przetwarzanie wyzwalaczy dla man-db...
Wystąpiły błędy podczas przetwarzania:
 graveman

apt-get reinstall libflac6 nie pomaga
Z tego co zauważyłem to w systemie mam libflac8, który wymaga mpd.

To wycinek zależności z oficjalnej strony gravemana:

Required dependencies, most recents linux distributions will include them, except maybe for libid3tag, click on links below to download missing modules if you need.

    * gtk+ version >= 2.4.0.
    * glib version >= 2.4.0.
    * libglad version >= 2.4.0.
    * libid3tag version >= 0.15.
    * libmad version >= 0.15.
    * libogg version >= 1.0.
    * libvorbis version >= 1.0.
    * cdrtools version >= 2.0.
    * dvd+rw-tools version >= 5.20.
    * sox version >= 12.17.0.
    * libFlac version >= 1.1.0.
    * cdrdao version >= 1.1.9.
    * libmng version >= 1.0.0.

Mój Debian to Lenny amd64


Debian Linux user               
Progressive trance music fan

Offline

 

#2 2009.01.12 18:46:54

azhag
Dozorca
Skąd: Warszawa
Zarejestrowany: 2006.11.21
Posty: 820
System: Debian Testing
Fluxbox: 1.3.5
WWW

Re: graveman - nie da się zainstalować

Skąd masz pakiet?


Dr Chandra, will I dream?
pogoda w conky :: wybierz jabbera :: polski portal debiana :: registered linux user #403712

Offline

 

#3 2009.01.13 07:02:16

Dalik
Użytkownik
Zarejestrowany: 2008.09.07
Posty: 178
System: Debian Squeeze/Sid x86_64
Fluxbox: 1.1.1

Re: graveman - nie da się zainstalować

Pakiet mam z oficjalnej stronki grvemana.
Czy mam zainstalować jakiś inny? Jak tak to skąd ?


Debian Linux user               
Progressive trance music fan

Offline

 

#4 2009.01.13 09:04:44

Moebius
o¤°`°¤o,¸¸¸,o¤°
Skąd: /dev/tty1
Zarejestrowany: 2007.02.26
Posty: 202
System: Gentoo
Fluxbox: ist Krieg!

Re: graveman - nie da się zainstalować

może z repozytorium dystrybucji, której używasz?


Teraz, gdy już nauczyliśmy się latać w powietrzu jak ptaki, pływać pod wodą jak ryby, brakuje nam tylko jednego: nauczyć się żyć na ziemi jak ludzie.

Offline

 

#5 2009.01.13 09:06:21

Dalik
Użytkownik
Zarejestrowany: 2008.09.07
Posty: 178
System: Debian Squeeze/Sid x86_64
Fluxbox: 1.1.1

Re: graveman - nie da się zainstalować

Nie ma tam tego, szukałem.
Dobra, dajmy sobie siana. Podobno graveman już i tak nie jest wspierany. Poszukam sobie czegoś innego :-/


Debian Linux user               
Progressive trance music fan

Offline

 

#6 2009.01.13 09:30:06

azhag
Dozorca
Skąd: Warszawa
Zarejestrowany: 2006.11.21
Posty: 820
System: Debian Testing
Fluxbox: 1.3.5
WWW

Re: graveman - nie da się zainstalować

Rozwijany to on już nie jest, ale nie znaczy  to, że nie działa.

Pakiet, który pobrałeś został zbudowany dla dużo starszej wersji Debiana, najlepiej będzie zbudować sobie samemu (kompiluje się b. szybko).

Pobierz pliki:
http://snapshot.debian.net/archive/2006 … 12-5-1.dsc
http://snapshot.debian.net/archive/2006 … rig.tar.gz
http://snapshot.debian.net/archive/2006 … -1.diff.gz

Następnie:
Zainstaluj pakiety potrzebne do kompilacji

Kod:

cdbs autotools-dev debhelper patchutils libglade2-dev libid3tag0-dev libogg-dev libvorbis-dev autotools-dev libxml-parser-perl libmad0-dev libflac-dev libmng-dev

I polecenia (piszę z pamięci)

Kod:

dpkg-source -x plik.dsc
cd graveman-wersja
dpkg-buildpackage -rfakeroot -b

Po kilku chwilach (zależnie od mocy komputera) otrzymasz w katalogu ../ pakiet deb.

Jak zbudujesz, to udostępnij (jeśli nie masz gdzie, wyślij mi na maila), kolejna osoba z amd64 nie będzie musiała sama kompilować.

Ostatnio edytowany przez azhag (2009.01.13 09:31:18)


Dr Chandra, will I dream?
pogoda w conky :: wybierz jabbera :: polski portal debiana :: registered linux user #403712

Offline

 

#7 2009.01.13 17:56:41

ilin
Palacz
Skąd: Siemianice
Zarejestrowany: 2008.01.02
Posty: 190
System: Debian Wheezy/Sid
Fluxbox: 1.3.5

Re: graveman - nie da się zainstalować

Graveman w debianie unstable działa jak najbardziej poprawnie.
Ma jednak pewne drobne wady których nie chce mi się opisywać.

Ostatnio zauważyłem że gnomebaker pociąga za sobą mniej bibliotek gnome niż brasero.

Myślę że to też jakaś alternatywa.

Nie wierzę że nie masz nic z gnome w systemie.

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson